Subject: Re: [PATCH] veth: replace iflink by a dedicated symlink in sysfs

From: Jiri Benc <[email-masked]>
Date: Wed, 19 Aug 2015 14:38:00 +0200

On Wed, 19 Aug 2015 14:13:00 +0200, Vincent Bernat wrote:
> That's the main goal of this patch: advertising the peer link as
> IFLA_LINK attribute triggers an infinite loop in userland software when
> they follow iflink to discover network devices topology. iflink has
> always been the index of a lower device. If a sysfs symbolic link is not
> good enough, I can propose a new IFLA_PEER attribute instead.

This would cause regression and break applications for those of us who
started relying on the netnsid feature to match interfaces across net
name spaces.

This is tough. If you're going to do such thing, you would at least
need to also introduce IFLA_PEER_NETNSID.

 Jiri

-- 
Jiri Benc